# Intel® Enhanced Privacy ID SDK: MemberCtx Struct Reference

MemberCtx Struct Reference

Member context definition. More...

`#include <epid/member/context.h>`

## Data Fields

GroupPubKey_ * | pub_key
| group public key
FfElement * | e12
| an element in GT
FfElement * | e22
| an element in GT
FfElement * | e2w
| an element in GT
FfElement * | ea2
| an element in GT
Epid2Params_ * | epid2_params
| Intel(R) EPID 2.0 params.
PrivKey_ * | priv_key
| Member private key.
BitSupplier | rnd_func
| Pseudo random number generation function.
void * | rnd_param
| Pointer to user context for rnd_func.
HashAlg | hash_alg
| Hash algorithm to use.
AllowedBasename * | allowed_basenames
| Base name list.
Stack * | presigs
| Pre-computed signatures pool.
CommitValues | commit_values
| Values that are hashed to create commitment.

## Detailed Description

Member context definition.

Internal context of member.

Examples:
  signmsg.c.

The documentation for this struct was generated from the following file:

- epid/member/context.h